Subject: bug#11642: Libtool cannot find executables

From: Paul Barker <[email-masked]>
Date: Thu, 07 Jun 2012 01:24:31 +0100

Hi,

Libtools cannot find executables which are on my $PATH. This happens
when cross compiling two different packages, libsndfile-1.0.25 and
alsa-lib-1.0.25 (matching version numbers is coincidental). During
'make' everything runs fine, but both packages attempt to run additional
commands during 'make install' which seem not to belong in the install
phase. For libsndfile, libtool attempts to execute
arm-angstrom-linux-gnueabi-ranlib, my cross ranlib, but cannot find it.
For alsa-lib, libtool attempts to execute arm-angstrom-linux-gnueabi-gcc
but again cannot find it, despite the fact that it has been executing
the command correctly throughout the build of the library. My path is
set in ~/.bash_profile and is exported. My only guess is that libtool is
unsetting my $PATH variable during the install phase, but I may be very
wrong.

Thanks,

Paul Barker